OBJDUMP(1)

NAME
objdump - dump selected parts of a COFF object file

SYNOPSIS
objdump [ option [ modifier ... ] ] filename ...

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

The objdump command dumps selected parts of each of its object filename arguments. This command is compatible with System V in all its options. It will accept both object files and archives of object files.

objdump command attempts to format the information it dumps in a meaningful way, printing certain information in character, hex, octal or decimal representation as appropriate.

OPTIONS

-a  Dump the archive header of each member of each archive file argument.

-g  Dump the global symbols in the symbol table of an archive.

-f  Dump each file header.

-o  Dump each optional header.

-h  Dump section headers.

-s  Dump section contents.

-r  Dump relocation information.

-l  Dump line number information.

-t  Dump symbol table entries.

-z name
    Dump line number entries for the named function.

-c  Dump the string table.

-L  Interpret and print the contents of the .lib sections.

  Modifiers
The following modifiers are used in conjunction with the options listed above.

-d number
    Dump the section number, number, or the range of sections starting at number and ending at the number specified by +d.

+d number
    Dump sections in the range either beginning with first section or beginning with section specified by -d.

-n name
    Dump information pertaining only to the named entity. This modifier applies to -h, -s, -r, -l, and -t.

-p  Suppress printing of the headers.

-t index
    Dump only the indexed symbol table entry. The -t used in conjunction with +t, specifies a range of symbol table entries.

+t index
    Dump the symbol table entries in the range ending with the indexed entry. The range begins at the first symbol table entry or at the entry specified by the -t option.

-u  Underline the name of the file for emphasis.

-v  Dump information in symbolic representation rather than numeric (e.g., C_STATIC instead of X02). This modifier can be used with all the above options except -s and -o.

-z name,number
-z name number
    Dump line number entry or range of line numbers starting at number for the named function.

+z number
    Dump line numbers starting at either function name or number specified by -z, up to number specified by +z.

White space separating an option and its modifier is optional.

SEE ALSO
ar(5), coff(5)